<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
	<title>Books</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<div class="container">
    <h1>Khadijah's List of Books
    </h1>
    <form class="form-inline">
        <input class="form-control mr-3 w-40" id="search" type="text" placeholder="Search" aria-label="Search">
    </form>
    <button class="search btn" style="margin-bottom:1rem; font-size:1rem" type="submit"><i class="fa fa-search"></i></button>
    
    <table class="table table-borderless" style="margin-top:2rem">
        <thead class="table-light text-center">
          <tr>
            <th scope="col">Cover</th>
            <th scope="col">Title</th>
            <th scope="col">Author</th>
            <th scope="col">Date</th>
          </tr>
        </thead>
        <tbody class="text-center" id="book">
        </tbody>
    </table>
</div>
<script>
    $('.search').click(function() {
        var keyword = $('#search').val();
        $.ajax({
            url: "https://www.googleapis.com/books/v1/volumes?q="+keyword,
            dataType: 'json',
            success: function(result) {
                $("#book").html("");
                for(i=0; i < result.items.length; i++) {
                    $("#book").append("<tr><td><img src="+
                    result.items[i].volumeInfo.imageLinks.thumbnail+"alt='cover'/></td><td>"+
                    result.items[i].volumeInfo.title+"</td><td>"+
                    result.items[i].volumeInfo.authors+"</td><td>"+
                    result.items[i].volumeInfo.publishedDate+"</td></tr>");
                }
            }
        });
    });

    $(document).ready(function(){
        $.ajax({
            url: "https://www.googleapis.com/books/v1/volumes?q=papa",
            dataType: 'json',
            success: function(result) {
                $("#book").html("");
                for(i=0; i < result.items.length; i++) {
                    $("#book").append("<tr><td><img src="+
                    result.items[i].volumeInfo.imageLinks.thumbnail+"alt='cover'/></td><td>"+
                    result.items[i].volumeInfo.title+"</td><td>"+
                    result.items[i].volumeInfo.authors+"</td><td>"+
                    result.items[i].volumeInfo.publishedDate+"</td></tr>");
                }
            }
        });
    });
</script>
</body>
</html>
